unit ViewAsText;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, RxMenus;

type
  TAsTextForm = class(TForm)
    AsTextMemo: TMemo;
    AsTextRxPopupMenu: TRxPopupMenu;
    WordWrap: TMenuItem;
    procedure WordWrapClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AsTextForm: TAsTextForm;

implementation

{$R *.DFM}

procedure TAsTextForm.WordWrapClick(Sender: TObject);
begin

  if  WordWrap.Checked = True
    then
    begin
      WordWrap.Checked := False;
      ViewAsText.AsTextForm.AsTextMemo.WordWrap := False;
      ViewAsText.AsTextForm.AsTextMemo.ScrollBars := ssBoth;
    end
    else
    begin
      WordWrap.Checked := True;
      ViewAsText.AsTextForm.AsTextMemo.WordWrap := True;
      ViewAsText.AsTextForm.AsTextMemo.ScrollBars := ssVertical;
    end;

end;

end.
